=== debian/changelog ===
spirv-llvm-translator-15 (15.0.0-7build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:49:59 +1100

spirv-llvm-translator-15 (15.0.0-7) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_150 branch (v15.0.0-85-gda050541).
  * Disable two commits causing test failures.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Mar 2024 20:01:08 +0100

spirv-llvm-translator-15 (15.0.0-6) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_150 branch (v15.0.0-79-gc1f08b41).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Feb 2024 22:48:18 +0100

spirv-llvm-translator-15 (15.0.0-5) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 13:48:15 +0200

spirv-llvm-translator-15 (15.0.0-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update .symbols control file for gcc-13 builds.

  [ Gianfranco Costamagna ]
  * Mark some more symbols as optional as they don't appear on Ubuntu (LTO?).
    (Closes: #1042819)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Aug 2023 11:46:40 +0200

spirv-llvm-translator-15 (15.0.0-3) unstable; urgency=medium

  * Fix compatibility with newer spirv-as.  (Closes: #1040056)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 15:05:17 +0200

spirv-llvm-translator-15 (15.0.0-2) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-14 14.0.0-5.
  * Restrict watch file to 15.* releases.
  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Apr 2023 11:24:20 +0200

spirv-llvm-translator-15 (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-15.
  * Rename binary packages: *14* => *15*.
  * Build with llvm 15.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Oct 2022 02:09:37 +0200

spirv-llvm-translator-14 (14.0.0-12) unstable; urgency=medium

  * Update from llvm_release_140 branch (v14.0.0-179-gd54b2cea).
  * Disable the upstream-testsuite autopkgtest on s390x.  (Closes: #1065395)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Mar 2024 12:21:28 +0100

spirv-llvm-translator-14 (14.0.0-11) unstable; urgency=medium

  * Update from llvm_release_140 branch (v14.0.0-177-g0141f3dd).
  * Skip tests on big-endian architectures (> 60% are failing) due to
    excessive disk space usage (>40 GB). The failures are ignored on !amd64
    anyway.  (Closes: #1065395)
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 05:13:45 +0100

spirv-llvm-translator-14 (14.0.0-10) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_140 branch (v14.0.0-172-gc3dc6b81).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Feb 2024 03:47:14 +0100

spirv-llvm-translator-14 (14.0.0-9) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 13:39:11 +0200

spirv-llvm-translator-14 (14.0.0-8) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark some more symbols as optional as they don't appear on Ubuntu (LTO?).
    (Closes: #1042819)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Aug 2023 14:45:06 +0200

spirv-llvm-translator-14 (14.0.0-7) unstable; urgency=medium

  * Update .symbols control file for gcc-13 builds.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 11:05:53 +0200

spirv-llvm-translator-14 (14.0.0-6) unstable; urgency=medium

  * Fix compatibility with newer spirv-as.  (Closes: #1040055)
  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 14:03:54 +0200

spirv-llvm-translator-14 (14.0.0-5) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Oct 2022 09:11:37 +0200

spirv-llvm-translator-14 (14.0.0-4) unstable; urgency=medium

  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Drop hidden symbols from .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Oct 2022 17:41:42 +0200

spirv-llvm-translator-14 (14.0.0-3) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Oct 2022 13:48:53 +0200

spirv-llvm-translator-14 (14.0.0-2) unstable; urgency=medium

  * Restrict watch file to 14.* releases.
  * Build with spirv-tools.
  * Add autopkgtest, ignore failures on !amd64.
  * Enable build-time tests, ignore failures on !amd64.
  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 18:00:36 +0200

spirv-llvm-translator-14 (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-14.
  * Rename binary packages: *13* => *14*.
  * Build with llvm 14.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 09:29:32 +0200

spirv-llvm-translator (13.0.0-6) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 16:36:05 +0200

spirv-llvm-translator (13.0.0-5) unstable; urgency=medium

  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 22:34:44 +0200

spirv-llvm-translator (13.0.0-4) unstable; urgency=medium

  * Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-13.
  * Restrict watch file to 13.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.


