## spirv-llvm-translator-15 15.0.1

=== debian/changelog ===
spirv-llvm-translator-15 (15.0.1-1~ubuntu0.24.04.1) noble; urgency=medium

  * Backport to noble. (LP: #2111480)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Jul 2025 13:56:54 +0300

spirv-llvm-translator-15 (15.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073426)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Jun 2024 14:51:41 +0200

spirv-llvm-translator-14 (14.0.1-2) unstable; urgency=medium

  * Update .symbols control file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jun 2024 15:41:43 +0200

spirv-llvm-translator-14 (14.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update .symbols control file.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jun 2024 11:31:37 +0200
