## spirv-llvm-translator-15 15.0.3

=== debian/changelog ===
spirv-llvm-translator-15 (15.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.3-2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2024 09:54:22 +0200

spirv-llvm-translator-14 (14.0.3-2) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 18:07:54 +0200

spirv-llvm-translator-14 (14.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file for gcc-14 builds.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 12:08:12 +0200
